import json

import paho.mqtt.client as mqtt

from .base import MQTTClientBase


class MQTTClient(MQTTClientBase):
    def _connect(self):
        self._mqtt = mqtt.Client(self.client_id)
        self._mqtt.username_pw_set(self.user, self.password)
        self._mqtt.connect(self.host)

    def send_data(self, topic, data):
        self._mqtt.publish(topic, json.dumps(data))
